import type { _MLKey } from "./MLKey.js";
export declare class _MLMetricKey extends _MLKey {
    static alloc(): _MLMetricKey;
    static new(): _MLMetricKey;
    init(): _MLMetricKey;
    /** Float metric indicating the current loss */
    static lossValue(): _MLMetricKey;
    /** Int64 metric indicating the index of the epoch */
    static epochIndex(): _MLMetricKey;
    /** Int64 metric indicating the index of mini batches in the current epoch */
    static miniBatchIndex(): _MLMetricKey;
}
